package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;

import java.util.Map;

public interface MWF0D7Response {

    @Parameter(name = "BusinessName")
    String businessName();

    @Parameter(name = "CardHolderFirstName")
    String cardHolderFirstName();

    @Parameter(name = "CardHolderSecondName")
    String cardHolderSecondName();

    @Parameter(name = "CardHolderSurname")
    String cardHolderSurname();

    @Parameter(name = "Data")
    java.util.List<MWF0D7Data> data();

    @Parameter(name = "EBInsruranceUVA")
    Double eBInsruranceUVA();

    @Parameter(name = "InsuranceMaxAge")
    Long insuranceMaxAge();

    @Parameter(name = "PPISmeRate")
    Double pPISmeRate();

    @Parameter(name = "TitlePrefix")
    String titlePrefix();

    @Parameter(name = "TitleSuffix")
    String titleSuffix();

    @Parameter(name = "VPSFlag")
    String vPSFlag();

}